diff -u alevt-1.6.2/debian/changelog alevt-1.6.2/debian/changelog
--- alevt-1.6.2/debian/changelog
+++ alevt-1.6.2/debian/changelog
@@ -1,3 +1,9 @@
+alevt (1:1.6.2-1ubuntu1) jaunty; urgency=low
+
+  * Added manpage description of the new options: -progname and -pid (closes: #546891)
+
+ --  <Dirk Schuster>  Thu, 24 Sep 2009 20:03:29 +0200
+
 alevt (1:1.6.2-1) experimental; urgency=low
 
   * New upstream version (closes: #527299):
only in patch2:
unchanged:
--- alevt-1.6.2.orig/alevt-cap.1.in
+++ alevt-1.6.2/alevt-cap.1.in
@@ -50,6 +50,12 @@
 in the selected set are replaced by similar looking symbols.
 (default: latin-1)
 .TP
+.B \-progname
+Specifies the program name if using the DVB interface.
+.TP
+.B \-pid
+Specifies the teletext PID if using the DVB interface.
+.TP
 .B \-\-help
 Show summary of options.
 .TP
@@ -135,6 +141,20 @@
 format is an alias for
 .BR ascii,color .)
 
+The
+.B \-progname
+or
+.B \-pid
+option specifies the program or teletext PID if using the DVB interface.
+
+If neither of these two options is used, alevt outputs informations about the currently accessible streams
+and uses the first of these PIDs as default. This output contains the PIDs and names that can be used
+as an input for the
+.B \-progname
+or
+.B \-pid
+option in the context of the currently chosen TV channel.
+
 .SH DIAGNOSTICS
 If the program timed out and some pages are missing the exit
 status is 1.  On fatal errors the exit status is 2.
@@ -149,6 +169,8 @@
 .SH FILES
 .I /dev/vbi*
 
+.I /dev/dvb/adapter*/demux*
+
 .SH SEE ALSO
 .BR alevt (1x),
 .BR alevt-date (1),
only in patch2:
unchanged:
--- alevt-1.6.2.orig/alevt-date.1.in
+++ alevt-1.6.2/alevt-date.1.in
@@ -41,6 +41,12 @@
 .IR seconds ,
 the program is terminated with a SIGALRM.
 .TP
+.B \-progname
+Specifies the program name if using the DVB interface.
+.TP
+.B \-pid
+Specifies the teletext PID if using the DVB interface.
+.TP
 .B \-\-help
 Show summary of options.
 .TP
@@ -59,9 +65,25 @@
 .I clock -w
 will do this.
 
+The
+.B \-progname
+or
+.B \-pid
+option specifies the program or teletext PID if using the DVB interface.
+
+If neither of these two options is used, alevt outputs informations about the currently accessible streams
+and uses the first of these PIDs as default. This output contains the PIDs and names that can be used
+as an input for the
+.B \-progname
+or
+.B \-pid
+option in the context of the currently chosen TV channel.
+
 .SH FILES
 .I /dev/vbi*
 
+.I /dev/dvb/adapter*/demux*
+
 .SH SEE ALSO
 .BR alevt (1x),
 .BR alevt-cap (1),
only in patch2:
unchanged:
--- alevt-1.6.2.orig/alevt.1x.in
+++ alevt-1.6.2/alevt.1x.in
@@ -67,6 +67,12 @@
 in the selected set are replaced by similar looking symbols.
 (default: latin-1)
 .TP
+.B \-progname
+Specifies the program name if using the DVB interface.
+.TP
+.B \-pid
+Specifies the teletext PID if using the DVB interface.
+.TP
 .B \-\-help
 Show summary of options.
 .TP
@@ -109,9 +115,39 @@
 sophisticated method in bttv to switch channels etc with a dedicated
 tuner application.  But, at the moment, you have to live with it...
 
+The
+.B \-progname
+or
+.B \-pid
+option specifies the program or teletext PID if using the DVB interface.
+
+If neither of these two options is used, alevt outputs informations about the currently accessible streams
+and uses the first of these PIDs as default. This output contains the PIDs and names that can be used
+as an input for the
+.B \-progname
+or
+.B \-pid
+option in the context of the currently chosen TV channel.
+
 .SH FILES
 .I /dev/vbi*
 
+.I /dev/dvb/adapter*/demux*
+
+.SH EXAMPLES
+Select the teletext stream by the PID hex value:
+.IP
+.I alevt \-vbi /dev/dvb/adapter0/demux0 \-pid 0x0237
+.PP
+Select the teletext stream by the PID decimal value:
+.IP
+.I alevt \-vbi /dev/dvb/adapter0/demux0 \-pid 567
+.PP
+Select the teletext stream by the program name:
+.IP
+.I alevt \-vbi /dev/dvb/adapter0/demux0 \-progname \'kabel eins\'
+.PP
+
 .SH "SEE ALSO"
 .BR alevt-date (1),
 .BR alevt-cap (1),
